libzypp 17.37.10

UrlBase.h File Reference
`#include <set>`
`#include <zypp-core/url/UrlUtils.h>`
`#include <zypp-core/base/PtrTypes.h>`

Go to the source code of this file.

## Classes
struct | zypp::url::ViewOption
| Url::asString() view options. More...
class | zypp::url::UrlBase
| Generic Url base class. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::url
| Url details namespace.

## Typedefs
using | zypp::url::ViewOptions = ViewOption
| ViewOptions is just an alias for ViewOption.
using | zypp::url::UrlSchemes = std::vector<std::string>
| Vector of URL scheme names.
using | zypp::url::UrlRef = RWCOW_pointer<UrlBase>
| Copy-On-Write Url reference.